- Main Page
- Data Structures
- Files

- Alphabetical List
- Data Structures
- Data Fields

# jasperserver_resource_descriptor Struct Reference

This struct is used to store a resource_descriptor. More...

`#include <jasperserver/repository.h>`

## Data Fields
jasperserver_resource_descriptor * | next
jasperserver_string_t * | name
jasperserver_string_t * | label
jasperserver_string_t * | description
int | isNew
jasperserver_string_t * | wsType
jasperserver_string_t * | uriString
jasperserver_resource_property * | properties
jasperserver_resource_descriptor * | children
jasperserver_parameter * | parameters

## Detailed Description

This struct is used to store a resource_descriptor.

Definition at line 223 of file repository.h.

## Field Documentation

struct jasperserver_resource_descriptor* jasperserver_resource_descriptor::next`[read]`

Pointer to the next resourec

Definition at line 225 of file repository.h.

jasperserver_string_t* jasperserver_resource_descriptor::name

Resource name

Definition at line 226 of file repository.h.

jasperserver_string_t* jasperserver_resource_descriptor::label

Resource label

Definition at line 227 of file repository.h.

jasperserver_string_t* jasperserver_resource_descriptor::description

Resource description

Definition at line 228 of file repository.h.

int jasperserver_resource_descriptor::isNew

Is it a new resoure (used to create a new resource)

Definition at line 229 of file repository.h.

jasperserver_string_t* jasperserver_resource_descriptor::wsType

Type of the resource

Definition at line 230 of file repository.h.

jasperserver_string_t* jasperserver_resource_descriptor::uriString

URI of the resource inside the repository

Definition at line 231 of file repository.h.

struct jasperserver_resource_property* jasperserver_resource_descriptor::properties`[read]`

Pointer to the first jasperserver_resource_property_t (NULL means no properties are available)

Definition at line 233 of file repository.h.

struct jasperserver_resource_descriptor* jasperserver_resource_descriptor::children`[read]`

Pointer to the first child (NULL means no parameters are available)

Definition at line 234 of file repository.h.

struct jasperserver_parameter* jasperserver_resource_descriptor::parameters`[read]`

Pointer to the first parameter (NULL means no parameters are available)

Definition at line 235 of file repository.h.

The documentation for this struct was generated from the following file:

- jasperserver/repository.h